%define upstream_name    Astro-FITS-CFITSIO
%define upstream_version 1.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Perl extension for using the cfitsio library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Astro/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: fitsio-devel
BuildRequires: perl-devel

%description
Perl interface to William Pence's cfitsio subroutine library. For more
information on cfitsio, see http://heasarc.gsfc.nasa.gov/fitsio.

This module attempts to provide a wrapper for nearly every cfitsio routine,
while retaining as much cfitsio behavior as possible. As such, one should
be aware that it is still somewhat low-level, in the sense that handing an
array which is not the correct size to a routine like 'fits_write_img()'
may cause SIGSEGVs.

My goal is to eventually use these routines to build a more Perl-like
interface to many common tasks such as reading and writing of images and
ASCII and binary tables.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog NOTES META.yml TODO INSTALL README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Nov 22 2016 eatdirt <eatdirt> 1.100.0-8.mga6
+ Revision: 1068811
- Rebuild for new cfitsio

* Sat Jun 18 2016 pterjan <pterjan> 1.100.0-7.mga6
+ Revision: 1022596
- Rebuild for perl 5.22.2

* Thu Mar 10 2016 eatdirt <eatdirt> 1.100.0-6.mga6
+ Revision: 988708
- Rebuild for new cfitsio

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Nov 19 2015 neoclust <neoclust> 1.100.0-4.mga6
+ Revision: 904253
- Rebuild now that fitsio-devel is available on arm

* Fri Jun 26 2015 sander85 <sander85> 1.100.0-3.mga6
+ Revision: 844139
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 744281
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.100.0-1.mga5
+ Revision: 725904
- imported package perl-Astro-FITS-CFITSIO

